using Newtonsoft.Json;
using System;
using System.Collections;
using System.Numerics;
using System.Collections.Generic;
using System.Data;
using System.Drawing;
using System.IO;
using System.Reflection;
using System.Security.Cryptography.X509Certificates;
using GrapeCity.Documents.Excel;
using GrapeCity.Documents.Excel.Expressions;
using GrapeCity.Documents.Excel.Drawing;
using System.Globalization;

namespace GrapeCity.Documents.Excel.Examples.Features.RangeOperations.AccessCellsRowsColumns
{
    class Program
    {
        static void Main(string[] args)
        {
            //create a new workbook
            var workbook = new GrapeCity.Documents.Excel.Workbook();
            workbook.Open("../../../accesscellsrowscolumns.xlsx");
            workbook.SheetChange += Workbook_SheetChange;
            //IWorksheet worksheet = workbook.Worksheets[0];
            //var range = worksheet.Range["A5:B7"];

            //IWorksheet sheet2 = workbook.Worksheets.Add();
            IWorksheet sheet2 = workbook.Worksheets[1];
            //sheet2.Name = "Sheet2";
            var range2 = sheet2.Range["A5:B7"];
            range2.Cells[4].Value = 555;

            //set value for cell A7.
            //range.Cells[4].Value = 30;
            //range.Cells[2].Formula = "A7+Sheet2!A7";

            //cell is B6
            //range.Cells[1, 1].Value = "B6";


            //entire rows are from row 5 to row 7
            //var entirerow = range.EntireRow.ToString();

            //entire columns are from column A to column B
            //var entireColumn = range.EntireColumn.ToString();

            // Save to an excel file
            workbook.Save("accesscellsrowscolumns.xlsx");


            Console.ReadKey();
        }

        private static void Workbook_SheetChange(object sender, RangeEventArgs e)
        {
            Console.WriteLine(@"New value: " + e.Range.Value.ToString());
            //Console.WriteLine(e.Range.Column);
            //Console.WriteLine(e.Range.Row);
            Console.WriteLine(@"event.ToJson(): " + e.Range.ToJson());
            Console.WriteLine(@"Worksheet name: " + e.Range.Worksheet.Name);
        }
    }
}